Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.notification.event
Class ArrayModifiedEvent

    java.lang.Object
      java.util.EventObject
          org.jboss.cache.pojo.notification.event.Event
              org.jboss.cache.pojo.notification.event.ArrayModifiedEvent

All Implemented Interfaces:
  Serializable

    public final class ArrayModifiedEvent

extends Event

A notification that indicates an array was modified.

Author:
  Jason T. Greene
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ArrayModifiedEvent(NotificationContext context, Object source, int index, Object value, boolean local)`

Method Summary
`int` | `getIndex()` Gets the index of the change.
`Object` | `getValue()` Gets the new value for this change.

Methods inherited from class org.jboss.cache.pojo.notification.event.Event
`getContext, isLocal`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArrayModifiedEvent

    public ArrayModifiedEvent(NotificationContext context,
                              Object source,
                              int index,
                              Object value,
                              boolean local)

Method Detail

### getIndex

    public int getIndex()

  Gets the index of the change.

  Returns:
    the index of this change

### getValue

    public Object getValue()

  Gets the new value for this change.

  Returns:
    the new value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2008 JBoss, a division of Red Hat. All Rights Reserved.